#ifndef WViscFluxes_H
#define WViscFluxes_H

#include "dart.h"
#include "wBLRegion.h"
#include <Eigen/Dense>
#include <vector>
#include <string>

namespace dart
{

class DART_API ViscFluxes
{
private:

public:
    double Re;
    ViscFluxes(double _Re);
    ~ViscFluxes();
    Eigen::VectorXd ComputeFluxes(size_t iPoint, BLRegion *bl);
    Eigen::MatrixXd ComputeJacobian(size_t iPoint, BLRegion *bl, Eigen::VectorXd &sysRes, double eps);

private:
    Eigen::VectorXd BLlaws(size_t iPoint, BLRegion *bl, std::vector<double> u);
    double AmplificationRoutine(double hk, double ret, double theta) const;
};
} // namespace dart
#endif //WViscFluxes_H